---
sidebar_position: 12
description: Enable chat notifications and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Enable chat notifications
 Enable chat notifications



`Function EnableChatNotifications(Val URL, Val ChatID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | ChatID | --chat | String, Number | &#x2714; | Chat ID |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [im.chat.mute](https://dev.1c-bitrix.ru/learning/course/?COURSE_ID=93&LESSON_ID=11473)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    ChatID = "3516";

    Result = OPI_Bitrix24.EnableChatNotifications(URL, ChatID);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    ChatID = "3518";

    Result = OPI_Bitrix24.EnableChatNotifications(URL, ChatID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 EnableChatNotifications \
             --url "b24-ar17wx.bitrix24.by" \
             --chat "***" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 EnableChatNotifications ^
             --url "b24-ar17wx.bitrix24.by" ^
             --chat "***" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": true,
 "time": {
  "start": 1765396690,
  "finish": 1765396690.96624,
  "duration": 0.966243028640747,
  "processing": 0,
  "date_start": "2025-12-10T19:58:10+00:00",
  "date_finish": "2025-12-10T19:58:10+00:00",
  "operating_reset_at": 1765397290,
  "operating": 0
 }
}
```
